[
    {
        "Id": "a1e02ce375b56b3e7e9fe64b09cdc41f5e2153edd40e11d55ead396407cb6a02",
        "Created": "2025-08-11T02:03:12.160449695Z",
        "Path": "mass",
        "Args": [
            "--config",
            "/data"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 2885308,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-11T02:03:12.365147201Z",
            "FinishedAt": "0001-01-01T00:00:00Z"
        },
        "Image": "sha256:867bdc664167779327bfee4e078b87baafb8b8270d18a64e7db79250599c4fc8",
        "ResolvConfPath": "/var/lib/docker/containers/a1e02ce375b56b3e7e9fe64b09cdc41f5e2153edd40e11d55ead396407cb6a02/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/a1e02ce375b56b3e7e9fe64b09cdc41f5e2153edd40e11d55ead396407cb6a02/hostname",
        "HostsPath": "/var/lib/docker/containers/a1e02ce375b56b3e7e9fe64b09cdc41f5e2153edd40e11d55ead396407cb6a02/hosts",
        "LogPath": "/var/lib/docker/containers/a1e02ce375b56b3e7e9fe64b09cdc41f5e2153edd40e11d55ead396407cb6a02/a1e02ce375b56b3e7e9fe64b09cdc41f5e2153edd40e11d55ead396407cb6a02-json.log",
        "Name": "/music-assistant",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "/home/jonathan/music_assistant_config:/config",
                "fb2f38f8fe39ef8c95a4760e037fd74ccee53e79e4e1f8844d447b592ba407ac:/data"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "homeassistant_default",
            "PortBindings": {
                "8095/tcp": [
                    {
                        "HostIp": "",
                        "HostPort": "8095"
                    }
                ]
            },
            "RestartPolicy": {
                "Name": "unless-stopped",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": [
                "AUDIT_WRITE",
                "CHOWN",
                "DAC_OVERRIDE",
                "FOWNER",
                "FSETID",
                "KILL",
                "MKNOD",
                "NET_BIND_SERVICE",
                "NET_RAW",
                "SETFCAP",
                "SETGID",
                "SETPCAP",
                "SETUID",
                "SYS_CHROOT"
            ],
            "CapDrop": [
                "AUDIT_CONTROL",
                "BLOCK_SUSPEND",
                "DAC_READ_SEARCH",
                "IPC_LOCK",
                "IPC_OWNER",
                "LEASE",
                "LINUX_IMMUTABLE",
                "MAC_ADMIN",
                "MAC_OVERRIDE",
                "NET_ADMIN",
                "NET_BROADCAST",
                "SYSLOG",
                "SYS_ADMIN",
                "SYS_BOOT",
                "SYS_MODULE",
                "SYS_NICE",
                "SYS_PACCT",
                "SYS_PTRACE",
                "SYS_RAWIO",
                "SYS_RESOURCE",
                "SYS_TIME",
                "SYS_TTY_CONFIG",
                "WAKE_ALARM"
            ],
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": [],
            "DeviceCgroupRules": null,
            "DeviceRequests": [],
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ],
            "Init": false
        },
        "GraphDriver": {
            "Data": {
                "LowerDir": "/var/lib/docker/overlay2/8ad6ee7d48865265f1f0530ea4ffb3b904fe9d38606b8d066e8258fabee9b70b-init/diff:/var/lib/docker/overlay2/ef45f09efce6d55208a30a65216aae7217e85b79045111aaf3b4e68ca041275f/diff:/var/lib/docker/overlay2/2ab13a634206c15fd21277f38270dea3e3dbd10fa89fc8443c7888d4da1011a2/diff:/var/lib/docker/overlay2/b7022478860eafeb0f24208158a3a8d69fbfa2bcfbb02699bd534be7fd9081bd/diff:/var/lib/docker/overlay2/59ed7d8de6455daed5860c7176670076c13fd2b1c713c18f40951259d1328e28/diff:/var/lib/docker/overlay2/131b32f54fad863020714bae10ec7b763911a2c3e23b2a4bf71437f691df5efd/diff:/var/lib/docker/overlay2/9e3a7d3b0c80b29daf93cb9e4c9c240cbb9c41ff182bd53284172746c4394d3a/diff:/var/lib/docker/overlay2/8e1417ea4ba8896bf6f5d2e6edc8d666329a69fd8e90feb8825b108fe15e2ee4/diff:/var/lib/docker/overlay2/eec19e35dccf543ecf38ce35af7086bfef0411a20b645c842154865a6d85f0fb/diff:/var/lib/docker/overlay2/f70b2b1f628b4c48dcfffa81332c58ba86606c92d6ad65ae0a3be3561f862ffd/diff:/var/lib/docker/overlay2/8fc0d9ef87cc6d9f7cff7455e207ee7011599ce33048f0869f14014477bf2ca9/diff:/var/lib/docker/overlay2/75470c066c9df2d6328beb323abb256eb0fd0b36d0464d0f2c2b79ae7c4dda8f/diff:/var/lib/docker/overlay2/f5b88e03590f044a5597e7e8eaecabfcbe963f8d8977411c85e4266efd746733/diff:/var/lib/docker/overlay2/2397da951a1ce7dc6049137cc131c224155c954e8f36c0010d8a03ec70f718ad/diff",
                "MergedDir": "/var/lib/docker/overlay2/8ad6ee7d48865265f1f0530ea4ffb3b904fe9d38606b8d066e8258fabee9b70b/merged",
                "UpperDir": "/var/lib/docker/overlay2/8ad6ee7d48865265f1f0530ea4ffb3b904fe9d38606b8d066e8258fabee9b70b/diff",
                "WorkDir": "/var/lib/docker/overlay2/8ad6ee7d48865265f1f0530ea4ffb3b904fe9d38606b8d066e8258fabee9b70b/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "bind",
                "Source": "/home/jonathan/music_assistant_config",
                "Destination": "/config",
                "Mode": "",
                "RW": true,
                "Propagation": "rprivate"
            },
            {
                "Type": "volume",
                "Name": "fb2f38f8fe39ef8c95a4760e037fd74ccee53e79e4e1f8844d447b592ba407ac",
                "Source": "/var/lib/docker/volumes/fb2f38f8fe39ef8c95a4760e037fd74ccee53e79e4e1f8844d447b592ba407ac/_data",
                "Destination": "/data",
                "Driver": "local",
                "Mode": "z",
                "RW": true,
                "Propagation": ""
            }
        ],
        "Config": {
            "Hostname": "0b6c43e62dc0",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": false,
            "AttachStderr": false,
            "ExposedPorts": {
                "8095/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "PATH=/app/venv/bin:/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "GPG_KEY=7169605F62C751356D054A26A821E680E5FA6305",
                "PYTHON_VERSION=3.13.6",
                "PYTHON_SHA256=17ba5508819d8736a14fbfc47d36e184946a877851b2e9c4b6c43acb44a3b104",
                "LD_PRELOAD=/usr/lib/libjemalloc.so.2",
                "VIRTUAL_ENV=/app/venv"
            ],
            "Cmd": null,
            "Image": "ghcr.io/music-assistant/server:latest",
            "Volumes": {
                "/config": {},
                "/data": {}
            },
            "WorkingDir": "/app/venv",
            "Entrypoint": [
                "mass",
                "--config",
                "/data"
            ],
            "OnBuild": null,
            "Labels": {
                "io.hass.description": "Music Assistant Server",
                "io.hass.name": "Music Assistant Server",
                "io.hass.platform": "linux/amd64",
                "io.hass.type": "addon",
                "io.hass.version": "2.4.4",
                "org.opencontainers.image.authors": "The Music Assistant Team",
                "org.opencontainers.image.description": "Music Assistant is a free, opensource Media library manager that connects to your streaming services and a wide range of connected speakers. The server is the beating heart, the core of Music Assistant and must run on an always-on device like a Raspberry Pi, a NAS or an Intel NUC or alike.",
                "org.opencontainers.image.documentation": "https://music-assistant.io",
                "org.opencontainers.image.licenses": "Apache License 2.0",
                "org.opencontainers.image.source": "https://github.com/music-assistant/server",
                "org.opencontainers.image.title": "Music Assistant Server"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "b066b35bfa758fe562f389d2fec6d52d860891334b93a983a07fb0883b61c4d6",
            "SandboxKey": "/var/run/docker/netns/b066b35bfa75",
            "Ports": {
                "8095/tcp": [
                    {
                        "HostIp": "0.0.0.0",
                        "HostPort": "8095"
                    },
                    {
                        "HostIp": "::",
                        "HostPort": "8095"
                    }
                ]
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "homeassistant_default": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "0b6c43e62dc0"
                    ],
                    "MacAddress": "02:42:ac:1d:00:04",
                    "DriverOpts": null,
                    "NetworkID": "a283774dd4673a8ba36a6b42458458382a8c188cf961e47c97fc422e5bb95292",
                    "EndpointID": "8cb136ee5dfd5a49d7ecc3c84eccd041c1937ef2e0d5280f7ab2d0947280e931",
                    "Gateway": "172.29.0.1",
                    "IPAddress": "172.29.0.4",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "music-assistant",
                        "0b6c43e62dc0",
                        "a1e02ce375b5"
                    ]
                }
            }
        }
    }
]
